' This sample shows all of the dialog line controls on one dialog. 

' Static Control Constants

Const SS_LEFT             = &h00000000&
Const SS_CENTER           = &h00000001&
Const SS_RIGHT            = &h00000002&
Const SS_ICON             = &h00000003&
Const SS_BLACKRECT        = &h00000004&
Const SS_GRAYRECT         = &h00000005&
Const SS_WHITERECT        = &h00000006&
Const SS_BLACKFRAME       = &h00000007&
Const SS_GRAYFRAME        = &h00000008&
Const SS_WHITEFRAME       = &h00000009&
Const SS_USERITEM         = &h0000000A&
Const SS_SIMPLE           = &h0000000B&
Const SS_LEFTNOWORDWRAP   = &h0000000C&
Const SS_OWNERDRAW        = &h0000000D&
Const SS_BITMAP           = &h0000000E&
Const SS_ENHMETAFILE      = &h0000000F&
Const SS_ETCHEDHORZ       = &h00000010&
Const SS_ETCHEDVERT       = &h00000011&
Const SS_ETCHEDFRAME      = &h00000012&
Const SS_TYPEMASK         = &h0000001F&
'End If ' WINVER >= &h0400
Const SS_NOPREFIX         = &h00000080& ' Don't do "&" character translation
'If (WINVER >= &h0400)
Const SS_NOTIFY           = &h00000100&
Const SS_CENTERIMAGE      = &h00000200&
Const SS_RIGHTJUST        = &h00000400&
Const SS_REALSIZEIMAGE    = &h00000800&
Const SS_SUNKEN           = &h00001000&
Const SS_ENDELLIPSIS      = &h00004000&
Const SS_PATHELLIPSIS     = &h00008000&
Const SS_WORDELLIPSIS     = &h0000C000&
Const SS_ELLIPSISMASK     = &h0000C000&
'End If ' WINVER >= &h0400

Const C_LEFT = SS_SUNKEN Or SS_LEFT
Const C_CENTER = SS_SUNKEN Or SS_CENTER
Const C_RIGHT  = SS_SUNKEN Or SS_RIGHT

Const LINE_LENGTH = 140

Sub Button1_OnClick ()
    Begin Dialog DialogName1 60, 60, 150, 137, "Static Styles"
        Text   5, 10, 40, 12, "Left",   .L, C_LEFT
        Text  55, 10, 40, 12, "Center", .L, C_CENTER
        Text 105, 10, 40, 12, "Right",  .L, C_RIGHT

        Text   5, 40, LINE_LENGTH,  2, "", .L, SS_BLACKRECT
        Text   5, 55, LINE_LENGTH,  2, "", .L, SS_GRAYRECT
        Text   5, 63, LINE_LENGTH,  2, "", .L, SS_WHITERECT
        Text   5, 70, LINE_LENGTH,  2, "", .L, SS_BLACKFRAME
        Text   5, 75, LINE_LENGTH,  2, "", .L, SS_GRAYFRAME
        Text   5, 80, LINE_LENGTH,  2, "", .L, SS_WHITEFRAME

        Text   5, 90, LINE_LENGTH,  0, "", .L, SS_ETCHEDHORZ
        Text 145, 95,  0, 30, "", .L, SS_ETCHEDVERT
        Text   5, 95, 135, 30, "", .L, SS_ETCHEDFRAME

        CancelButton 25, 105, 40, 12	
        OKButton 82, 105, 40, 12
    End Dialog
    Dim Dlg1 As DialogName1
    ' Dialog returns -1 for OK, 0 for Cancel
    button = Dialog( Dlg1 )
End Sub
