
' LoadTable.bas - Demonstrates the LoadTable function

Dim x(3,4) As Double	' Declare a 4 by 5 table

' Load the table using a variety of numeric formats and delimiters

LoadTable x(), 	"1.1 2.1 3.1 4.1 " _
			&	"1.2	2.2		3.2		4.2 " _
			&	"1.3,2.3,	3.3, 4.3 " _
			&	"1.423453245 2.4e-5 -3.4 3424.4 " _
			&	"{+1.5 345266445 &h30 &o477}"

'Display the table by rows

Dim spcs As String		' Used to add spaces between the numbers
spcs = Space(5)			' Add 5 additional spaces for a total of 6

Print x(0,0);spcs; x(1,0);spcs; x(2,0);spcs; x(3,0)
Print x(0,1);spcs; x(1,1);spcs; x(2,1);spcs; x(3,1)
Print x(0,2);spcs; x(1,2);spcs; x(2,2);spcs; x(3,2)
Print x(0,3);spcs; x(1,3);spcs; x(2,3);spcs; x(3,3)
Print x(0,4);spcs; x(1,4);spcs; x(2,4);spcs; x(3,4)
